groovy.lang

## Class IncorrectClosureArgumentsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.IncorrectClosureArgumentsException

All Implemented Interfaces:
  java.io.Serializable

    public class IncorrectClosureArgumentsException
    extends GroovyRuntimeException

An exception occurred when invoking a Closure with the wrong number and/or types of arguments

Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncorrectClosureArgumentsException(Closure closure, java.lang.Object arguments, java.lang.Class[] expected)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getArguments()`
`Closure` `getClosure()`
`java.lang.Class[]` `getExpected()`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncorrectClosureArgumentsException

    public IncorrectClosureArgumentsException(Closure closure,
                                              java.lang.Object arguments,
                                              java.lang.Class[] expected)

### Method Detail

#### getArguments

    public java.lang.Object getArguments()

#### getClosure

    public Closure getClosure()

#### getExpected

    public java.lang.Class[] getExpected()